com.io7m.smfj.validation.api

## Enum SMFSchemaAllowExtraAttributes

- java.lang.Object
- - java.lang.Enum<SMFSchemaAllowExtraAttributes>
  - - com.io7m.smfj.validation.api.SMFSchemaAllowExtraAttributes

- All Implemented Interfaces:
    Serializable, Comparable<SMFSchemaAllowExtraAttributes>

      public enum SMFSchemaAllowExtraAttributes
      extends Enum<SMFSchemaAllowExtraAttributes>

  An indication of whether extra attributes are allowed in a given mesh.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SMF_EXTRA_ATTRIBUTES_ALLOWED` Extra attributes are allowed.
    `SMF_EXTRA_ATTRIBUTES_DISALLOWED` Extra attributes are disallowed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFSchemaAllowExtraAttributes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMFSchemaAllowExtraAttributes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMF_EXTRA_ATTRIBUTES_ALLOWED

          public static final SMFSchemaAllowExtraAttributes SMF_EXTRA_ATTRIBUTES_ALLOWED

      Extra attributes are allowed.

    - #### SMF_EXTRA_ATTRIBUTES_DISALLOWED

          public static final SMFSchemaAllowExtraAttributes SMF_EXTRA_ATTRIBUTES_DISALLOWED

      Extra attributes are disallowed.

  - ### Method Detail

    - #### values

          public static SMFSchemaAllowExtraAttributes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMFSchemaAllowExtraAttributes c : SMFSchemaAllowExtraAttributes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMFSchemaAllowExtraAttributes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com